package test.webthing;

import java.util.Map;

import javax.servlet.Servlet;

import org.eclipse.jetty.osgi.boot.OSGiWebappConstants;
import org.eclipse.jetty.server.Server;
import org.eclipse.jetty.servlet.ServletContextHandler;
import org.eclipse.jetty.servlet.ServletHolder;

public class WebThing extends ServletContextHandler {
	private void addServlet(final Servlet servlet) {
		final ServletHolder holder = getServletHandler().newServletHolder();
		holder.setServlet(servlet);
		addServlet(holder, "/");
	}

	public void activate(Map<String, Object> properties) throws Exception {
		
		setContextPath((String) properties.get(OSGiWebappConstants.SERVICE_PROP_CONTEXT_PATH));
		addServlet(new HelloServlet());
	}

	

	
}